Subject: Re: bug#75907: 30.0.93; Need bigger BASE_PURESIZE when building with PGTK variant

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Jan 2025 14:54:19 +0200

> From: Xiyue Deng <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 29 Jan 2025 03:14:52 -0800
> 
> Xiyue Deng <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> From: Xiyue Deng <[email-masked]>
> >>> Date: Tue, 28 Jan 2025 00:39:05 -0800
> >>> 
> >>> When building PGTK variant under Debian sbuild environment (with
> >>> GCC-14), the build process will fail with "Pure lisp storage overflowed"
> >>> (more error log at the end of email.)  However this seem to happen more
> >>> likely under this environment only.  When using the Debian stable
> >>> environment with GCC-12 it builds fine, so this looks to be GCC-14
> >>> related.
> >>> 
> >>> As it seems historically the value of BASE_PURESIZE is allowed to grow
> >>> to cope with similar errors, maybe increasing it again is acceptable?  I
> >>> tried that increasing its starting value from 3,000,000 to 5,000,000 to
> >>> be working, though I haven't tried a smaller value.  Patch attached.
> >>
> >> Thanks.
> >>
> >> Could you find the smallest increment that still allows you to build
> >> Emacs?
> >>
> >
> > Will try to do this and report back.
> >
> > [..snip..]
> 
> I have tested that 3400000 works while 3300000 fails.  I haven't tried
> values in between.
> 
> Note that there are chances that some unrelated tests fail randomly, but
> as I have succeeded build attempts at 3400000, can we assume this is
> sufficiently large?

Yes, I think so.

Stefan, do you think we should enlarge the number to 3400000 for Emacs
30.1?